hosc-0.17: Haskell Open Sound Control

Safe Haskell | None
Language | Haskell98

Sound.OSC.Coding.Decode.Base

Description

Base-level decode function for OSC packets. For ordinary use see `Binary`.

Synopsis

- decodeMessage :: ByteString -> Message
- decodeBundle :: ByteString -> Bundle
- decodePacket :: ByteString -> Packet

# Documentation

decodeMessage :: ByteString -> Message Source #

Decode an OSC `Message`.

decodeBundle :: ByteString -> Bundle Source #

Decode an OSC `Bundle`.

decodePacket :: ByteString -> Packet Source #

Decode an OSC `Packet`.

    let b = B.pack [47,103,95,102,114,101,101,0,44,105,0,0,0,0,0,0]
    in decodePacket b == Message "/g_free" [Int 0]